Subject: bug#16476: 24.3.50; C-k in eww kill the web form

From: Ted Zlatanov <[email-masked]>
Date: Mon, 20 Jan 2014 11:13:18 -0500

On Sat, 18 Jan 2014 09:07:15 -0800 Lars Ingebrigtsen <[email-masked]> wrote: 

LI> Matthew Leach <[email-masked]> writes:
>> If you keep pressing C-k, you can kill images, links, text and even
>> images. Perhaps a rendered web page should enable read-only-mode and
>> interactively prompt the user for forum input?

LI> eww should make the rest of the buffer read-only.  However, I wanted to
LI> introduce a new text property that would allow us to make the buffer
LI> itself read-only, and have the forms be editable.  There wasn't much
LI> enthusiasm for that idea, so I think the best way to deal with this now
LI> is to have a post-command-hook thing (or something) that disallows
LI> editing outside the fields.

Consider me enthusiastic.

Ted